Loading...
Searching...
No Matches
openshot::NoStreamsFound Class Reference

Exception when no streams are found in the file. More...

`#include <Exceptions.h>`

Inheritance diagram for openshot::NoStreamsFound:

## Public Member Functions

| NoStreamsFound (std::string message, std::string file_path="")
| Constructor.
virtual | ~NoStreamsFound () noexcept
Public Member Functions inherited from openshot::FileExceptionBase
| FileExceptionBase (std::string message, std::string file_path="")
virtual std::string | py_message () const override
Public Member Functions inherited from openshot::ExceptionBase
| ExceptionBase (std::string message)
virtual const char * | what () const noexcept
virtual | ~ExceptionBase () noexcept

## Additional Inherited Members

Public Attributes inherited from openshot::FileExceptionBase
std::string | file_path
Protected Attributes inherited from openshot::ExceptionBase
std::string | m_message

## Detailed Description

Exception when no streams are found in the file.

Definition at line 285 of file Exceptions.h.

## Constructor & Destructor Documentation

## NoStreamsFound()

openshot::NoStreamsFound::NoStreamsFound | ( | std::string | message,
|  | std::string | file_path = "" )

inline

Constructor.

Parameters

  message | A message to accompany the exception
  file_path | (optional) The input file being processed

Definition at line 294 of file Exceptions.h.

## ~NoStreamsFound()

virtual openshot::NoStreamsFound::~NoStreamsFound | ( |  | ) |

inline virtual noexcept

Definition at line 296 of file Exceptions.h.

The documentation for this class was generated from the following file:

- Exceptions.h